Bug 92102 - parse errors with redhat-config-kickstart
parse errors with redhat-config-kickstart
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 14:11 EDT by Jeremy Parsons
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-06 16:56:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Parsons 2003-06-02 14:11:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3.1) Gecko/20030425

Description of problem:
1) Unable to read LDAP configuration it just wrote out itself
2) Unable to retrieve installed OS image from http server when URL path inlcudes ~
3) Mouse specification is ignored in booting
4) Boot process silently ignores failure to find floppy holding ks.cfg
5) Problem reading "ondisk" partitioning param

1) Is a simple parsing issue see example below:
2) The actual problem is that the final slash in a numerical URL is not removed
and is instead added to the server path so http://10.1.1.2/~jparsons/redhat is
split into 10.1.1.2 and "/~jparsons/redhat"
3) is a particular problem because our server has a two button PS/2 mouse so the
spec is ignored and the probe makes a mistake and specifies a 3-button PS/2 device
4) It would be nice if the boot process would hang with an error message until I
remember to insert the floppy
5) Is some kind of parsing error see below:

Version-Release number of selected component (if applicable):
redhat-config-kickstart-2.3.6-4

How reproducible:
Always

Steps to Reproduce:
1.Start redhat-config-kickstart
2.read in existing kickstart file ks.cfg
3.
    

Actual Results:  [root@gucci root]# redhat-config-kickstart 
Traceback (most recent call last):
  File "/usr/share/redhat-config-kickstart/kickstartGui.py", line 255, in
on_activate_open
    self.fillData()
  File "/usr/share/redhat-config-kickstart/kickstartGui.py", line 290, in fillData
    self.auth_class.fillData()
  File "/usr/share/redhat-config-kickstart/auth.py", line 329, in fillData
    opts, args = getopt.getopt(self.kickstartData.getAuth(), "d:h",
["enablemd5", "enablenis",
  File "/usr/lib/python2.2/getopt.py", line 72, in getopt
    opts, args = do_longs(opts, args[0][2:], longopts, args[1:])
  File "/usr/lib/python2.2/getopt.py", line 86, in do_longs
    has_arg, opt = long_has_args(opt, longopts)
  File "/usr/lib/python2.2/getopt.py", line 103, in long_has_args
    raise GetoptError('option --%s not recognized' % opt, opt)
getopt.GetoptError: option --enableldapauth not recognized

And for problem 5)
[root@gucci root]# redhat-config-kickstart 
Traceback (most recent call last):
  File "/usr/share/redhat-config-kickstart/kickstartGui.py", line 255, in
on_activate_open
    self.fillData()
  File "/usr/share/redhat-config-kickstart/kickstartGui.py", line 289, in fillData
    self.partition_class.fillData()
  File "/usr/share/redhat-config-kickstart/partition.py", line 344, in fillData
    self.partWindow.populateList(line)
  File "/usr/share/redhat-config-kickstart/partWindow.py", line 538, in populateList
    result = self.parseLine(part_object, line)
  File "/usr/share/redhat-config-kickstart/partWindow.py", line 547, in parseLine
    opts, args = getopt.getopt(line[1:], "d:h", ["fstype=", "size=", "onpart", 
  File "/usr/lib/python2.2/getopt.py", line 72, in getopt
    opts, args = do_longs(opts, args[0][2:], longopts, args[1:])
  File "/usr/lib/python2.2/getopt.py", line 93, in do_longs
    raise GetoptError('option --%s must not have an argument' % opt, opt)
getopt.GetoptError: option --ondisk must not have an argument

Additional info:
Comment 1 Brent Fox 2003-06-02 16:45:21 EDT
In the future, it makes things a lot easier if you file separate bug reports for
each issue.
Comment 2 Brent Fox 2003-06-03 14:48:53 EDT
Items 2, 3, and 4 are installer issues, so you need to file separate bugs on those.

I have fixed item #1 in redhat-config-kickstart-2.3.9-1 in Rawhide.

I believe that I have fixed item #2 in redhat-config-kickstart-2.3.9-1 in
Rawhide as well, but it is hard to tell without the kickstart file you are using.

If you could attach the kickstart file to this report, I can have a better idea
of whether my changes work or not.

Note You need to log in before you can comment on or make changes to this bug.